# Continue

Continue is a development tool (VS Code extension and CLI) that uses AI models to assist with coding tasks such as autocompletion, explanation, refactoring, and more.\
To make AI requests, Continue needs a **model provider**, which can be configured to use your AI Gateway.

You can view [**Help Guide**](https://docs.continue.dev/) for more details.

## API Endpoint Management

1. In VS Code, install the **Continue** extension if not already installed.
2. Open the Continue settings:
   * Press **Ctrl/Cmd + P** to open the command palette.
   * Type: `Continue: Open Settings`.
   * Or open the extension sidebar and click the **gear / settings icon** for Continue.
3. Open (or create) the Continue configuration file:

   ```bash
   vim ~/.continue/config.json
   ```

   If the file does not exist, create it manually.
4. Paste the following example configuration and replace the `apiKey` with your own values:

   ```json
   {
     "models": [
       {
         "title": "AI Gateway Chat Model",
         "provider": "openai",
         "model": "gpt-4o",
         "apiKey": "sk-xxxxxxxxxxxxxx",
         "apiBase": "https://gateway.theturbo.ai"
       }
     ],
     "tabAutocompleteModel": {
       "title": "AI Gateway Autocomplete",
       "provider": "openai",
       "model": "gpt-4o-mini",
       "apiKey": "sk-xxxxxxxxxxxxxx",
       "apiBase": "https://gateway.theturbo.ai"
     }
   }
   ```

Continue uses **different models for different purposes**:

* **`models`**\
  Used for **chat and general AI interactions**, such as:
  * Asking questions
  * Explaining code
  * Refactoring
  * Generating code snippets
* **`tabAutocompleteModel`**\
  Used specifically for **code auto-completion**, for example:
  * Suggestions that appear while typing
  * Pressing `Tab` to complete code

You can use the **same model** for both, or **different models** depending on your needs.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/welcome/ai-gateway/ai-gateway-integration/continue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
